Bug 106048 - EDITING: Writer jumps back to the top of the table when trying to select the next table row if first row contains large embedded table
Summary: EDITING: Writer jumps back to the top of the table when trying to select the ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-View-Jumps Writer-Tables-Select
  Show dependency treegraph
 
Reported: 2017-02-16 15:18 UTC by Telesto
Modified: 2018-09-03 02:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example file (10.02 KB, application/vnd.oasis.opendocument.text)
2017-02-16 15:18 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-02-16 15:18:11 UTC
Description:
Writer jumps back to start of the table when trying to select the next table row if first row contains large embedded table.

Steps to Reproduce:
1.Open attached file
2.Configure the zoom level in such way that "INTO THIS CORNER" isn't visible at the top of the document. 
3.Select the first table row of the orange table with the mouse by dragging from "START HERE SELECTION" towards "INTO THIS CORNER" until the first row is selected (the experienced selection issues are already reported: bug 106043 and bug 105343)
4. Scroll down with the mouse scroll wheel with the left mouse button pressed and mouse pointer somewhere above purple table (trying to select the next table row of the orange table). 


Actual Results:  
Writer keeps jumping back to the beginning of the orange table

Expected Results:
It should be no problem to select the second table row of the orange table


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in:
Version: 5.4.0.0.alpha0+
Build ID: cdf4b2bba8d694299c784f46fe3ecef2ce41171e
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-02-15_00:19:18
Locale: nl-NL (nl_NL); Calc: CL

and in:
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2017-02-16 15:18:41 UTC
Created attachment 131278 [details]
Example file
Comment 2 Buovjaga 2017-02-19 17:58:26 UTC
First I was having trouble: it only selected the *first column*. Then I managed to continue selecting the whole thing after the first column was selected. But yes, it is behaving strangely.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 7ec0500e20cf273d70c4fbddb4063b8f8295307c
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 18th 2016
Comment 3 QA Administrators 2018-09-03 02:42:53 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug